QGIS Application - Bug report #19454
r.info -> make use of Processiong output dir

2018-07-20 02:57 PM - Markus Mayr

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:3.2
Operating System: Windows 7
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 27282

Description

The r.info algorithm generates a temporary report.html file with results. This file is created inside the QGIS binary folder.

In my case, this folder is not allowed to be written to.

C:\PROGRA~1\QGIS3~1.2\bin>r.info map=rast_5b51daa84840d3 --overwrite 1>"report.html"

Zugriff verweigert

Wouldn't it be logical to write this temporary report.html to the Output-Directory as set in the processing settings?

There mitght be other algorithms affected by this.

History

#1 - 2018-08-26 07:36 AM - Alexander Bruy
- Status changed from Open to Feedback

Should be fixed in latest master. Please check and report back.

#2 - 2018-11-20 05:33 PM - Markus Mayr

Sorry, it took a while to install a newer QGIS version whithin my company.

The resulting file seems to be written to the correct path now, but there seems to be a problem with the encoding now:

r.info map=rast_5bf436e9cc8fc3 > "C:/Users/mayrm/AppData/Roaming/QGIS/QGIS3/profiles/default/processing/outputs/report.html" --overwrite

Starting GRASS GIS...
Traceback (most recent call last):

File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\grass7\Grass7Algorithm.py", line 415, in processAlgorithm

Grass7Utils.executeGrass(self.commands, feedback, self.outputCommands)

File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\grass7\Grass7Utils.py", line 372, in executeGrass

for line in iter(proc.stdout.readline, "):

File "C:\\PROGRA~1\QGIS3~1.4\apps\Python37\lib\codecs.py", line 322, in decode

(result, consumed) = self._buffer_decode(data, self.errors, final)

UnicodeDecodeError: 'utf-8' codec can't decode byte 0xf6 in position 81: invalid start byte

Ausfuihrung nach 1.20 Sekunden gescheitert

Lade Ergebnis Layer
Algorithmus 'r.info' beendet
HTML Ausgabe wurde vom Algorithmus erzeugt.
Zum Uberpriifen Ergebnisdialog 6ffnen.

#3 - 2018-11-21 01:01 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

The resulting file seems to be written to the correct path now, but there seems to be a problem with the encoding now:

this is another issue that has already been reported. | assume the original issue is fixed. Please reopen if necessary.
